Subject: weekend
From: "Kay Price" <[email-masked]>
To: "Grant, Kenneth" <[email-masked]>, "Pat Russell" <[email-masked]>, "Karen Nelson" <[email-masked]>, "George Vanderburgh" <[email-masked]>, <[email-masked]>, "Karen Nelson" <[email-masked]>, "John Haefele" <[email-masked]>, "Jim Kirchstein" <[email-masked]>, "'Char Olson'" <[email-masked]>, "Tracy Heron" <[email-masked]>, "Mary Schweitzer" <[email-masked]>, "Dan Boulden" <[email-masked]>, "Jim Roberts" <[email-masked]>
Date: Thu, 6 Oct 2011 17:09:39 -0500

Hi All,

I have called all the restaurants and Cedarberry, etc. to double check we
are on for the weekend. Our favorite Leystra's waitress Jody usually works 7
days a week. This week she was taking Friday off - until she heard the ADS
group was coming in. She is working just to see us. Everyone please talk to
her, give her a hard time, leave her a good tip,  and we need to sing Happy
Birthday to her. She will be 43 on Sunday. She has the WWF on the outside
sign.  After we eat at the Old Feed Mill we will get to tour the R.R. museum
that we didn't get to see last time.  The owners Nancy and Dan know me now
so that helps. I tease them about the Case of the Missing Key! 

Mary did very good. Her article about the WWF is in the Star. Nothing in the
Eagle but the Star looks good.  I think JR got a lot of publicity out there
for us in the Madison area as well. 

We have never had  better weather for our WWF than we will have this
weekend. It probably won't happen again.  Let's enjoy it and have a lot of
fun. J. 

Please go up to people and talk to them and welcome them.  Invite them to
ride with you in your car. 

Jack Koblas has been lecturing out west where he overdid and ended up in the
hospital. He is better now. His grandson Avery and his driver Janet help
keep him going and watch out for him.  He has "the Park" as he calls
Parkinson's disease and he has had it for 8 years. He thinks if he quits
doing anything he normally did he will die. He is very excited about coming
down here. He plans to start out at 5:00 A.M. from the Twin Cities and join
us for lunch Saturday at the Black Hawk restaurant. 

I did not contact the Blue Spoon. If we ask for their back room they will
charge us $100. Instead the first ones there, head for the new back room and
start pulling tables together.  We will make it work.

Anyone from out of town is invited to the party at my house after  we are at
the cemetery. Pass the word.

See you soon.

Kay